ComSquare::Renderer::SFRenderer Class Reference

`#include <SFRenderer.hpp>`

Inheritance diagram for ComSquare::Renderer::SFRenderer:
Collaboration diagram for ComSquare::Renderer::SFRenderer:

## Public Member Functions

void | setWindowName (std::string) override
| Set a new name to the window, if there is already a name it will be overwrite. More...
void | drawScreen () override
| Update the screen by printing the buffer. More...
void | putPixel (int x, int y, uint8_t rgba) override
| Add a pixel to the buffer to the coordinates x, y with the color rgba. More...

## Private Attributes

sf::Window | window
| The main Window. More...
sf::VideoMode | videoMode
| Video Mode containing the height and width of the window. More...

## Additional Inherited Members

Public Attributes inherited from ComSquare::Renderer::IRenderer
bool | shouldExit
| Tells to the program if the window has been closed, and therefore if he should stop. More...

## Member Function Documentation

## drawScreen()

void ComSquare::Renderer::SFRenderer::drawScreen | ( |  | ) |

overridevirtual

Update the screen by printing the buffer.

Implements ComSquare::Renderer::IRenderer.

## putPixel()

void ComSquare::Renderer::SFRenderer::putPixel | ( | int | x,
|  | int | y,
|  | uint8_t | rgba
| ) |  |

overridevirtual

Add a pixel to the buffer to the coordinates x, y with the color rgba.

Parameters

  X | horizontal index.
  Y | vertical index.
  rgba | : The color of the pixel.

Implements ComSquare::Renderer::IRenderer.

## setWindowName()

void ComSquare::Renderer::SFRenderer::setWindowName | ( | std::string |  | ) |

overridevirtual

Set a new name to the window, if there is already a name it will be overwrite.

Parameters

  A | new title for the window.

Implements ComSquare::Renderer::IRenderer.

## Member Data Documentation

## videoMode

sf::VideoMode ComSquare::Renderer::SFRenderer::videoMode

private

Video Mode containing the height and width of the window.

## window

sf::Window ComSquare::Renderer::SFRenderer::window

private

The main Window.

The documentation for this class was generated from the following files:

- sources/Renderer/SFRenderer.hpp
- sources/Renderer/SFRenderer.cpp